Simple Grepper 0.10
wiki: http://contextgarden.net | mail: ntg-context@ntg.nl | website: http://www.pragma-ade.nl

# Command line options

flag | value | description
--- | --- | ---
--pattern |  | search for pattern (optional)
--count |  | count matches only
--nocomment |  | skip lines that start with %% or #
--noattic |  | skip files that hh considers irrelevant
--n |  | show at most n matches
--first |  | only show first match
--match |  | return the match (if it is one)
--xml |  | pattern is lpath expression

# Examples

`mtxrun --script grep --pattern=module *.mkiv`
`mtxrun --script grep --pattern="modules.-%['(.-)'%]" char-*.lua --first`
`mtxrun --script grep --pattern=module --count *.mkiv`
`mtxrun --script grep --pattern=module --first *.mkiv`
`mtxrun --script grep --pattern=module --nocomment *.mkiv`
`mtxrun --script grep --pattern=module --n=10 *.mkiv`